import PremiereFenetre.PremiereFenetre;
import com.mashape.unirest.http.exceptions.UnirestException;
import info1.network.*;
import info1.ships.BadCoordException;
import info1.ships.CoordsBadShipException;
import info1.ships.UncompleteFleetException;
import modele.info1.ships.AircraftCarrier;
import modele.info1.ships.Coord;
import modele.info1.ships.NavyFleet;
import vue.FenetreConnexion;

import java.awt.*;
import java.util.ArrayList;

public class Application {

    //http://37.187.38.219/api/v0
    //http://172.26.82.18//api/v0
    private static String url = "http://37.187.38.219/api/v0";
    private static String proxy = "srv-proxy-etu-2.iut-nantes.univ-nantes.prive";


    public static void main(String[] args) throws InterruptedException {
        /*
        FenetreConnexion fc = new FenetreConnexion("Connexion au serveur et aux parties");

        fc.setPreferredSize(new Dimension(1000, 700));
        //fc.setResizable(false);
        fc.pack();
        fc.setVisible(true);
        */

        PremiereFenetre pf = new PremiereFenetre();
        Network.setProxy(proxy,3128);
        Network.enableProxy(true);

        //TODO IHM changer le nom de jaquie
        Player jaquie = new Player("Jaquie");
        try {
            Network.suscribeNewPlayer(url, jaquie);
        } catch (UnirestException e) {
            e.printStackTrace();
        }

        //TODO Init fleet avec boucle listener ect
        NavyFleet fleet = new NavyFleet();
        try {
            fleet.add(new AircraftCarrier("porteavion1","A1","A6"));
            fleet.add(new AircraftCarrier("porteavion2","B1","B6"));
            fleet.add(new AircraftCarrier("porteavion3","C1","C6"));
            fleet.add(new AircraftCarrier("porteavion4","D1","D6"));
        } catch (BadCoordException e) {e.printStackTrace();} catch (CoordsBadShipException e) {e.printStackTrace();}
        while(fleet.isBelgianConfiguration() || fleet.isFrenchConfiguration()){

        }



        ArrayList<Game> parties = new ArrayList<Game>();
        //TODO IHM : combobox avec cette liste


        //TODO Init game  ou rejoindre
        //new game
        try {
            Network.initNewGame(url,jaquie,fleet);
        } //rejoindre game
        catch (UnirestException | BadCoordException | UncompleteFleetException e) {
            e.printStackTrace();
        }
        /*
        try {
            Network.joinGame(url,LISTENER_GAME_CHOISI_DANS_LA_LISTE,jaquie,fleet);
        } catch (UnirestException | UncompleteFleetException | BadCoordException e) {e.printStackTrace();}
        */


        /*
        1 si la partie est correctement initiÃ©e par le joueur courant ;
        -1 si la partie est correctement initiÃ©e par un autre joueur ;
        10 si c'est au joueur courant de jouer ;
        -10 si ce n'est pas au joueur courant de jouer ;
        100 si la partie est gagnÃ©e par le joueur courant ;
        -100 si la partie est perdue par le joueur courant ;
        -9999 sinon
        */
        /*
        boolean partie_bool = true;
        int info;
        while(partie_bool){
            info = 0;//Network.getInfo("http://172.26.82.18//api/v0",GAME,jaquie);
            switch (info){
                case 1:
                    System.out.println("1 la partie est correctement initiÃ©e par le joueur courant");
                break;
                case -1:
                    System.out.println("-1 la partie est correctement initiÃ©e par un autre joueur");
                break;
                case 10:
                    System.out.println("10 c'est au joueur courant de jouer");
                    //TODO CORD_LISTENER avec un listener
                    //TODO comprendre où récupérer player2
                    //Network.playOneTurn("http://172.26.82.18//api/v0", GAME, jaquie, CORD_LISTENER);
                break;
                case -10:
                    System.out.println("-10 ce n'est pas au joueur courant de jouer");
                    //rien a faire, attend ton tour
                break;
                case 100:
                    System.out.println("100 la partie est gagnÃ©e par le joueur courant");
                    partie_bool = false;
                break;
                case -100:
                    System.out.println("-100 la partie est perdue par le joueur courant");
                    partie_bool = false;
                break;
                case -9999:
                    System.out.println("-9999 sinon aka rien / probleme");
                break;
                default:
                    System.out.println("gros probleme !!!");
                break;
            }
            Thread.sleep(500);
        }
        */











    }
}
