package modele.info1.ships;

import info1.ships.BadCoordException;
import info1.ships.CoordsBadShipException;

import javax.swing.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;

public class CreationB {
    String[] co = new String[2];
    Coord[] cord1 = new Coord[2];
    int[] pays = new int[5];

    public CreationB(String str, String str2,int[] pays) {
        this.co[0] = str;
        this.co[1] = str2;
        this.pays[0]=pays[0];this.pays[1]=pays[1];this.pays[2]=pays[2];this.pays[3]=pays[3];this.pays[4]=pays[4];
    }

    public Ship TestCreation() throws CoordsBadShipException, BadCoordException {
        try {
            cord1[0] = new Coord(co[0]);
        } catch (BadCoordException badCoordException) {
            badCoordException.printStackTrace();
        }
        try {
            cord1[1] = new Coord(co[1]);
        } catch (BadCoordException badCoordException) {
            badCoordException.printStackTrace();
        }

        int taille = 0;
        if (cord1[0].getY() == cord1[1].getY()) {
            if (cord1[0].getX() > cord1[1].getX()){
                taille = cord1[0].getX() - cord1[1].getX() + 1;
            } else {
                taille = cord1[1].getX() - cord1[0].getX() + 1;
            }
        }
        if (cord1[0].getX() == cord1[1].getX()) {
            if (cord1[0].getY() > cord1[1].getY()) {
                taille = cord1[0].getY() - cord1[1].getY() + 1;
            } else {
                taille = cord1[1].getY() - cord1[0].getY() + 1;
            }
        } else if (cord1[0].getY() != cord1[1].getY() && cord1[0].getX() != cord1[1].getX()) {
            taille = -1;
        }
        switch (taille) {
            case 1:
                if (pays[0]!=0) {
                    try {
                        Submarine s = new Submarine("s", co[0]);
                        return s;
                    } catch (BadCoordException | CoordsBadShipException badCoordException) {badCoordException.printStackTrace();}
                } else {
                    JOptionPane.showMessageDialog(null, "Vous n'avez plus de Sous-marins disponibles");
                    return null;
                }
            case 2:
                if (pays[1]!=0) {
                    try {
                        Destroyer d = new Destroyer("d", co[0], co[1]);
                        return d;
                    } catch (BadCoordException | CoordsBadShipException badCoordException) {badCoordException.printStackTrace();}
                } else {
                    JOptionPane.showMessageDialog(null, "Vous n'avez plus de Torpilleurs disponibles");
                    return null;
                }
            case 3:
                if (pays[2]!=0) {
                    try {
                        Cruiser c = new Cruiser("c", co[0], co[1]);
                        return c;
                    } catch (BadCoordException | CoordsBadShipException badCoordException) {badCoordException.printStackTrace();}
                } else {
                    JOptionPane.showMessageDialog(null, "Vous n'avez plus de Croiseurs disponibles");
                    return null;
                }
            case 4:
                if (pays[3]!=0) {
                    try {
                        Battleship b = new Battleship("b", co[0], co[1]);
                        return b;
                    } catch (BadCoordException | CoordsBadShipException badCoordException) {badCoordException.printStackTrace();}
                } else {
                    JOptionPane.showMessageDialog(null, "Vous n'avez plus de Cuirassés disponibles");
                    return null;
                }
            case 5:
                if (pays[4]!=0) {
                    try {
                        AircraftCarrier a = new AircraftCarrier("a", co[0], co[1]);
                        return a;
                    } catch (BadCoordException | CoordsBadShipException badCoordException) {badCoordException.printStackTrace();}
                } else {
                    JOptionPane.showMessageDialog(null, "Vous n'avez plus de Porte-Avions disponibles");
                    return null;
                }
            case -1:
                JOptionPane.showMessageDialog(null, "Merci de choisir une bonne taille de bateau, pas de diagonale, la taille doit être comprise entre 1 et 5");
                return null;
            default:
                JOptionPane.showMessageDialog(null, "la taille doit être comprise entre 1 et 5");
                return null;
        }
    }
}