package vue;

import info1.ships.BadCoordException;
import info1.ships.CoordsBadShipException;
import info1.ships.ICoord;
import modele.info1.ships.Bouttons;
import modele.info1.ships.Coord;
import modele.info1.ships.CreationB;

import javax.swing.*;
import java.awt.*;
import java.awt.event.ActionEvent;
import java.awt.event.ActionListener;
import java.util.List;

public class FenetreJeux extends JFrame {
    private JTextField pseudo;
    private JButton envoyepseudo;
    private JComboBox pInitialise;

    private JButton rejoindre;
    private JButton creerPartie;
    private JTextArea zoneMessage;
    public FenetreJeux(String titre){
        super(titre);

        JPanel principal = new JPanel(new BorderLayout());
        this.setContentPane(principal);

        JPanel north = new JPanel(new FlowLayout());
        JLabel labelpseudo = new JLabel("Pseudo : ");
        north.add(labelpseudo);
        pseudo = new JTextField();
        pseudo.setPreferredSize(new Dimension(100,30));
        envoyepseudo = new JButton("Connexion");
        envoyepseudo.setPreferredSize(new Dimension(100,30));
        north.add(pseudo);
        north.add(envoyepseudo);
        principal.add(north,BorderLayout.NORTH);

        JPanel grille = new JPanel();
        grille.setLayout(new GridLayout(11,11));

        for (int i=0; i<11;i++){
            String[] lettres={" ","A","B","C","D","E","F","G","H","I","J"};
            final JLabel labellettre = new JLabel(lettres[i],SwingConstants.CENTER);
            labellettre.setBorder(BorderFactory.createLineBorder(Color.BLACK));
            grille.add(labellettre);
        }

        int o = 0;
        int j=0;
        int chiffre = 1;
        char lettre = 'A';
        final String[] co = new String[2];
        Bouttons[] bouttons = new Bouttons[100];

        for (int i = 0; i < (11 * 10); i++) {
            String[] nombres = {"1", "2", "3", "4", "5", "6", "7", "8", "9", "10"};
            if (i % 11 == 0) {
                final JLabel labelchiffres = new JLabel(nombres[j], SwingConstants.CENTER);
                labelchiffres.setBorder(BorderFactory.createLineBorder(Color.BLACK));
                grille.add(labelchiffres);
                j++;
            } else {
                if (i % 11 == 1) {
                    lettre = 'A';
                    if (i != 1)
                        chiffre++;
                }
                final Bouttons boutton = new Bouttons(new JButton(), lettre + String.valueOf(chiffre));
                boutton.getButton().setBackground(Color.WHITE);
                bouttons[o] = boutton;
                o++;

                boutton.getButton().setBorder(BorderFactory.createLineBorder(Color.BLACK));
                boutton.getButton().addActionListener(new ActionListener() {
                    @Override
                    public void actionPerformed(ActionEvent e) {

                    }});
                grille.add(boutton.getButton());
            }
            lettre++;
        }
        principal.add(grille,BorderLayout.CENTER);


        JPanel bas = new JPanel(new BorderLayout());
        pInitialise = new JComboBox();
        bas.add(pInitialise,BorderLayout.NORTH);
        JPanel boutons = new JPanel(new FlowLayout());
        rejoindre = new JButton("Rejoindre");
        creerPartie = new JButton("Créer partie");
        boutons.add(rejoindre);
        boutons.add(creerPartie);

        bas.add(boutons,BorderLayout.CENTER);

        zoneMessage = new JTextArea("ZONE MESSAGE");
        zoneMessage.setPreferredSize(new Dimension(100,100));
        bas.add(zoneMessage,BorderLayout.SOUTH);

        principal.add(bas,BorderLayout.SOUTH);

        JPanel vide = new JPanel(new FlowLayout());
        principal.add(vide,BorderLayout.WEST);

        JPanel vide2 = new JPanel(new FlowLayout());
        principal.add(vide,BorderLayout.EAST);
    }
}