package modele.info1.ships;


import info1.ships.BadCoordException;
import info1.ships.CoordsBadShipException;
import info1.ships.ShipCategory;

/**
 * Classe définissant un navire de catégorie "Croiseur" (taille 3)
 * @author lanoix-a
 */

public class Cruiser extends Ship {

    public Cruiser(String name, String xyFront, String xyBack)
            throws BadCoordException, CoordsBadShipException {
        super(name, xyFront, xyBack);
    }

    @Override
    public ShipCategory getCategory() {
        return ShipCategory.CRUISER;
    }

}
